Bug 217642 - US Intl keyboard setup. 1 Key Output incorrect
Summary: US Intl keyboard setup. 1 Key Output incorrect
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-29 03:40 UTC by Sayth
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 13:02:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Xorg.conf file (1.72 KB, text/plain)
2006-11-29 16:02 UTC, Sayth
no flags Details

Description Sayth 2006-11-29 03:40:33 UTC
Description of problem: The Single quote and double quote key is not functioning
correctly, It is outputting an incorrect single quote and double quote character
that is not understood by the shell. For example I was editing the .bashrc file
from a tutorial at linux.org
(http://www.linux.org/lessons/beginner/l6/lesson6a.html) Their example file

# my personal aliases
alias cp='cp -v -i'
alias rm='rm -i'
alias mv='mv -i' 

works fine when inserted into the bashrc file opened using gedit and saved. I
did source .bashrc and the file was updated no errors.

But when using the current character assosciated with my single quote key it
complains. eg.

# my personal aliases
alias cp=´cp -v -i´
alias rm=´rm -i´
alias mv=´mv -i´

[flebber@localhost ~]$ source .bashrc
bash: alias: -v: not found
bash: alias: -i´: not found
bash: alias: -i´: not found
bash: alias: -i´: not found

That is the single quote character is not recognised.




Version-Release number of selected component (if applicable): Fedora core 6


How reproducible: I am using the Microsoft Wireless Multimedia Keyboard 1.1.


Steps to Reproduce:
1.
2.
3.
  
Actual results: Single Quote not recognised by the shell. Unable to create or
run scripts


Expected results: Shell should recognise character.


Additional info: This exact keyboard and setup was working in Fedora Core 5. I
have tried the US English Alternative Layout and the US English International
(with dead keys) Layout.

Comment 1 Sayth 2006-11-29 03:43:02 UTC
Both Keyboard layout displays show the quote to be in the correct position on
the keyboard. It is just the outputted character that is causing the issue.


Comment 2 Sayth 2006-11-29 16:02:57 UTC
Created attachment 142387 [details]
The Xorg.conf file

Comment 3 Sayth 2006-11-29 16:14:58 UTC
Reset all config to defaults. Character output still incorrect.



Note You need to log in before you can comment on or make changes to this bug.